Package com.emc.documentum.rest.model

# Class RestError

java.lang.Object
com.emc.documentum.rest.model.RestError

public class RestError extends Object
Model for Rest Error info, which is the error info shown to users

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestError()`
  construct a RestError object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDetail(String detail)`
  Add error detail
  `void`
  `clearDetails()`
  Clear error details
  `String`
  `getCode()`
  Get error code
  `String`
  `getDetails()`
  Get error details
  `String`
  `getId()`
  Get error message log id
  `String`
  `getMessage()`
  Get error message
  `int`
  `getStatus()`
  Get error status
  `void`
  `setCode(String code)`
  Set error code
  `void`
  `setId(String id)`
  Set error message log id
  `void`
  `setMessage(String message)`
  Set error message
  `void`
  `setStatus(int status)`
  Set error status

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RestError

    public RestError()
    construct a RestError object

- ## Method Details

  - ### getStatus

    public int getStatus()
    Get error status
    Returns:
      error status

  - ### setStatus

    public void setStatus(int status)
    Set error status
    Parameters:
      `status` - error status

  - ### getCode

    public String getCode()
    Get error code
    Returns:
      error code

  - ### setCode

    public void setCode(String code)
    Set error code
    Parameters:
      `code` - error code

  - ### getMessage

    public String getMessage()
    Get error message
    Returns:
      error message

  - ### setMessage

    public void setMessage(String message)
    Set error message
    Parameters:
      `message` - error message

  - ### getDetails

    public String getDetails()
    Get error details
    Returns:
      error details

  - ### clearDetails

    public void clearDetails()
    Clear error details

  - ### setId

    public void setId(String id)
    Set error message log id
    Parameters:
      `id` - set the unique log id

  - ### getId

    public String getId()
    Get error message log id
    Returns:
      the log id

  - ### addDetail

    public void addDetail(String detail)
    Add error detail
    Parameters:
      `detail` - error detail